pushd %~dp0
@echo off

reg add HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Power\PowerSettings\F15576E8-98B7-4186-B944-EAFA664402D9 /v Attributes /t REG_DWORD /d 0x0 /f
reg add HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Power /v EnforceDisconnectedStandby /t REG_DWORD /d 0x1 /f

reg query hklm\system\currentcontrolset\enum /s /f "Serial IO I2C" > "%~dp0serialio.ini"
find "Serial IO" "%~dp0serialio.ini" > nul
IF %errorlevel% EQU 1 GOTO SerialIOandTouchpad
IF %errorlevel% EQU 0 GOTO Touchpadonly

:SerialIOandTouchpad
echo installing Intel Serial IO driver......
pnputil.exe /add-driver .\SERIALIO\*.inf /install
echo installing Touchpad driver.....
pnputil -i -a .\Numberpad\x64\AsusDigiFilter.inf
pnputil -i -a .\Numberpad\x64\AsusDigiFilterKbd.inf
GOTO END

:Touchpadonly
echo  Installing Touchpad driver.....
pnputil -i -a .\Numberpad\x64\AsusDigiFilter.inf
pnputil -i -a .\Numberpad\x64\AsusDigiFilterKbd.inf
GOTO END


:END
del "%~dp0serialio.ini"
del "%~dp0arc.ini"
